Package org.talend.transform.runtime.api

# Class MapExecutorMidImpl

java.lang.Object
org.talend.transform.runtime.api.ResourceExecutorBase<org.talend.transform.runtime.common.MapExecutor>
org.talend.transform.runtime.api.MapExecutorMidImpl

All Implemented Interfaces:
  `org.talend.transform.runtime.common.CommonExecutor`, `org.talend.transform.runtime.common.MapExecutor`, `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

Direct Known Subclasses:
  `MapExecutorImpl`

public abstract class MapExecutorMidImpl extends ResourceExecutorBase<org.talend.transform.runtime.common.MapExecutor> implements org.talend.transform.runtime.common.MapExecutor
Obsolete map executor implementation based on map instance id.

Kept for backward compatibility only.

## Constructor Summary

Constructors
Constructor
Description
`MapExecutorMidImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanUp()`
`org.talend.transform.runtime.common.MapExecutionStatus`
`execute(String mapInstanceId)`
`InputStream`
`executeToStream(String mapInstanceId)`
`void`
`freeExecutionResources(String mapInstanceId)`
`org.talend.transform.runtime.common.MapExecutionStatus`
`getLastExecutionStatus(String mapInstanceId)`
`org.talend.transform.runtime.common.MapExecutor`
`setExecutionProperties(String mapInstanceId, Map<String,Object> props)`
`org.talend.transform.runtime.common.MapExecutor`
`setObjectResult(String mapInstanceId, Object objectResult)`
`org.talend.transform.runtime.common.MapExecutor`
`setObjectResult(String mapInstanceId, org.talend.transform.runtime.common.MapExecutorCallback callback)`
`org.talend.transform.runtime.common.MapExecutor`
`setObjectSource(String mapInstanceId, Object objectSource)`
`org.talend.transform.runtime.common.MapExecutor`
`setResult(String mapInstanceId, Result result)`
`org.talend.transform.runtime.common.MapExecutor`
`setResults(String mapInstanceId, Map<String,Result> results)`
`org.talend.transform.runtime.common.MapExecutor`
`setSource(String mapInstanceId, Source source)`
`org.talend.transform.runtime.common.MapExecutor`
`setSources(String mapInstanceId, Map<String,Source> sources)`
`org.talend.transform.runtime.common.MapExecutor`
`setUp(String mapInstanceId, org.talend.transform.runtime.common.MapLocation mapLocation)`

### Methods inherited from class org.talend.transform.runtime.api.ResourceExecutorBase

`getExceptionThreshold, getInitialProjectName, getMessage, getProjectSet, getRuntimeEngine, getSetupProjectName, isDSQLRuntime, isEclipseRuntime, isStandardRuntime, self, setExceptionThreshold, setLoggingLevel, setLoggingLevel, setupProjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.talend.transform.runtime.common.CommonExecutor

`isDSQLRuntime, isEclipseRuntime, isStandardRuntime, setExceptionThreshold, setLoggingLevel, setLoggingLevel`

### Methods inherited from interface org.talend.transform.runtime.common.MapExecutor

`createMapExecutionCommand, createNew`

## Constructor Details

### MapExecutorMidImpl

public MapExecutorMidImpl()

## Method Details

### setUp

public org.talend.transform.runtime.common.MapExecutor setUp(String mapInstanceId, org.talend.transform.runtime.common.MapLocation mapLocation) throws org.talend.transform.runtime.common.MapConfigurationException

Specified by:
  `setUp` in interface `org.talend.transform.runtime.common.MapExecutor`
Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`

### cleanUp

public void cleanUp()

Specified by:
  `cleanUp` in interface `org.talend.transform.runtime.common.CommonExecutor`
Overrides:
  `cleanUp` in class `ResourceExecutorBase<org.talend.transform.runtime.common.MapExecutor>`

### execute

public org.talend.transform.runtime.common.MapExecutionStatus execute(String mapInstanceId) throws org.talend.transform.runtime.common.MapConfigurationException, org.talend.transform.runtime.common.MapExecutionException

Specified by:
  `execute` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`
Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`
  `org.talend.transform.runtime.common.MapExecutionException`

### executeToStream

public InputStream executeToStream(String mapInstanceId) throws org.talend.transform.runtime.common.MapConfigurationException

Specified by:
  `executeToStream` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`
Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`

### freeExecutionResources

public void freeExecutionResources(String mapInstanceId)

Specified by:
  `freeExecutionResources` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setObjectResult

public org.talend.transform.runtime.common.MapExecutor setObjectResult(String mapInstanceId, org.talend.transform.runtime.common.MapExecutorCallback callback)

Specified by:
  `setObjectResult` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setObjectResult

public org.talend.transform.runtime.common.MapExecutor setObjectResult(String mapInstanceId, Object objectResult)

Specified by:
  `setObjectResult` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setObjectSource

public org.talend.transform.runtime.common.MapExecutor setObjectSource(String mapInstanceId, Object objectSource)

Specified by:
  `setObjectSource` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setSources

public org.talend.transform.runtime.common.MapExecutor setSources(String mapInstanceId, Map<String,Source> sources)

Specified by:
  `setSources` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setResult

public org.talend.transform.runtime.common.MapExecutor setResult(String mapInstanceId, Result result)

Specified by:
  `setResult` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setResults

public org.talend.transform.runtime.common.MapExecutor setResults(String mapInstanceId, Map<String,Result> results)

Specified by:
  `setResults` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setExecutionProperties

public org.talend.transform.runtime.common.MapExecutor setExecutionProperties(String mapInstanceId, Map<String,Object> props)

Specified by:
  `setExecutionProperties` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### setSource

public org.talend.transform.runtime.common.MapExecutor setSource(String mapInstanceId, Source source)

Specified by:
  `setSource` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

### getLastExecutionStatus

public org.talend.transform.runtime.common.MapExecutionStatus getLastExecutionStatus(String mapInstanceId)

Specified by:
  `getLastExecutionStatus` in interface `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`